Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.conversation
Class AbleOwned

    java.lang.Object
      com.ibm.able.conversation.AbleOwned

Direct Known Subclasses:
  AbleChat3DummyLogic, AbleChat3GuiLogic, AbleConversationPolicyHandlerFactory, AbleCpStateMachineHandler, AbleMessageTransformFactory, AblePlatformConversationSetupLogic, AblePlatformMessageSystemAdapter, AbleRemoteUdfDecisionLogicAdapter

public class AbleOwned
extends java.lang.Object

Class AbleOwned is available for use as a base for components that are owned by AbleBeans, but that aren't AbleBeans themselves. AbleBean doesn't know a thing about this class, and there's no requirement to use it. Its only reason for existence is to provide some commonly used convenience features.

Constructor Summary
`AbleOwned()` Constructs an AbleOwned object with `null` owner.
`AbleOwned(AbleBean bean)` Constructs an AbleOwned object.

Method Summary
`AbleBean` | `getAbleOwner()` Returns the AbleBean which owns this object.
`protected void` | `logException(java.lang.String theMethodName, java.lang.Exception theException)` Logs an exception with the AbleBean that owns this object.
`protected void` | `logMessage(long msgType, java.lang.String theMethodName, java.lang.String theMessage)` Logs a message with the AbleBean that owns this object.
`void` | `setAbleOwner(AbleBean bean)` Sets the AbleBean which owns this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbleOwned

    public AbleOwned()

  Constructs an AbleOwned object with `null` owner.

### AbleOwned

    public AbleOwned(AbleBean bean)

  Constructs an AbleOwned object.

Parameters:
  `bean` - The AbleBean which owns this object.

Method Detail

### getAbleOwner

    public AbleBean getAbleOwner()

  Returns the AbleBean which owns this object. It may be `null`.

  Returns:
    The AbleBean that owns this object.

### setAbleOwner

    public void setAbleOwner(AbleBean bean)

  Sets the AbleBean which owns this object.

  Parameters:
    `bean` - The new owner.

### logMessage

    protected void logMessage(long msgType,
                              java.lang.String theMethodName,
                              java.lang.String theMessage)

  Logs a message with the AbleBean that owns this object.

  If the owner is `null`, prints to standard output.

  Parameters:
    `theMethodName` - The name of the method in which the exception occurred.
    `theMessage` - The message to log.

### logException

    protected void logException(java.lang.String theMethodName,
                                java.lang.Exception theException)

  Logs an exception with the AbleBean that owns this object.

  If the owner is `null`, prints to standard output.

  Parameters:
    `theMethodName` - The name of the method in which the exception occurred.
    `theException` - The exception to log.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005